#include "Config.h"
#include "Pins.h"

#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>

#include <WiFiClient.h>
#include <PubSubClient.h>
#include <SPI.h>
#include <MFRC522.h>
#include <SSD1306Wire.h>
#include <DES.h>

Config config;
WiFiClient wifiClient;
PubSubClient MQTTclient;
MFRC522 rfid(PIN_RFID_SPI_SS, PIN_RFID_RST);

void setup()
{
    Serial.begin(115200);
    
    pinMode(PIN_BUZZER,   OUTPUT);
    pinMode(PIN_BUTTON,   INPUT);
    pinMode(PIN_ETH_SPI_SS,   OUTPUT);
    digitalWrite(PIN_ETH_SPI_SS, HIGH);

    rfid.PCD_Init();
}

void loop() 
{
    if (rfid.PICC_IsNewCardPresent() && rfid.PICC_ReadCardSerial())
    {
        Serial.println(rfid.uid.sak);
    }
}